if (!OB) {var OB = {};}

OB.Ads = {};

/**
 * Interstitial Mobile
 * Author:
 * Thierry Bernier <thierry.bernier@wikiogroup.com>
 */
OB.Ads.InterstitialMobile = {};

OB.Ads.InterstitialMobile = {
	'params': {
		'disclaimer': false
	}
};

OB.Ads.InterstitialMobile.isCapingOk = function(
	cookieName,
	nbCapingView,
	expireInSec,
	numPageStart,
	cookieDomain
)
{
	var returnValue	= false;

	var caping = {
		nbView: YAHOO.util.Cookie.getSub(cookieName, 'nbView'),
		nbPassed: YAHOO.util.Cookie.getSub(cookieName, 'nbPassed'),
		expireInSec: YAHOO.util.Cookie.getSub(cookieName, 'expireInSec')
	};


	if(caping.expireInSec == null)
	{
		caping.expireInSec = 0;
		if(expireInSec > 0)
		{
			var dateTmp = new Date();
			var expire = new Date(
				dateTmp.getFullYear(),
				dateTmp.getMonth(),
				dateTmp.getDate(),
				dateTmp.getHours(),
				dateTmp.getMinutes(),
				dateTmp.getSeconds() + parseInt(expireInSec)
			);

			caping.expireInSec = expire;
		}
	}

	if(caping.nbView == null)
	{
		caping.nbView = 1;
	}
	else
	{
		caping.nbView++;
	}

	if(caping.nbPassed == null)
	{
		caping.nbPassed = 0;
	}


	if(	caping.nbView >= numPageStart
		&&
		caping.nbPassed < nbCapingView
	)
	{
		caping.nbPassed++;
		returnValue = true;
	}

	YAHOO.util.Cookie.setSubs(
		cookieName,
		caping,
		{
			expires: new Date(caping.expireInSec),
			domain: cookieDomain,
			path: "/"
		}
	);


	return returnValue;
};

OB.Ads.InterstitialMobile.generateUrl = function(name, caping, startPage, expire, cookieDomain, params)
{
	// convertir le string params en objet
	var params = eval('(' + params + ')');

	if(OB.Ads.InterstitialMobile.params['disclaimer'] === false)
	{
		var url = uri = '';

		if(name){
			switch(name)
			{
				case 'Digital Advert' :
					url = '../_mob_da.html';

					uri = '?url=http://adit.ldmobile.net/getInventory.php';
					uri += '&page_id=' + params.page_id;
					uri += '&mob_ua=' + encodeURIComponent(navigator.userAgent);
					uri += '&output=xhtml';
					uri += '&aditv=21';
					uri += '&register_stats=1';
					uri += '&banner_format=auto';

					url += uri;
					break;
				case 'Affil4You' :
					url = '../_mob_affil4you.html';

					uri = 	'?url=http://partners.wister.biz/affiliation/banners.php';
					uri += 	'&tokmd5=f1b19d354dee80c6b9790655a32189d7';
					uri += 	'&oraff=aff_affil4you_erog007';
					uri += 	'&ortarget=1';
					uri += 	'&requesttype=div';
					if(params.cat){
						uri += 	'&niches_erog=' + params.cat;
					}
					uri += 	'&lang=' + params.lang;

					url += uri;
					break;
				default :
					break;
			}
		}

		if(url)
		{
			if(OB.Ads.InterstitialMobile.isCapingOk('interstitielMobile', caping, expire, startPage, cookieDomain))
			{
				var callback = {
					success: function(o)
					{
						/*success handler code*/
						var content = o.responseText;
						if(content && content != '')
						{
							OB.Ads.InterstitialMobile.show(content);
						}

					},
					failure: function(o)
					{
						/*failure handler code*/
					}
				};
				YAHOO.util.Connect.asyncRequest('GET', url, callback);
			}
		}
	}
}

OB.Ads.InterstitialMobile.show = function(content)
{
	var container 		= document.createElement('div'),
		background 		= document.createElement('div'),
		skip 			= document.createElement('div'),
		btn 			= document.createElement('span'),
		subBtn			= document.createElement('span'),
		btnLink			= document.createElement('a'),
		spanLink		= document.createElement('span'),
		style			= document.createElement('style'),
		logo 			= YAHOO.util.Selector.query('.header .logo', null, true),
		interstitial 	= document.createElement('div');

		/**
		 * Container setup
		 */
		YAHOO.util.Dom.addClass(container, 'interstitialWrap');
		YAHOO.util.Dom.setStyle(container, 'margin', '0');
		YAHOO.util.Dom.setStyle(container, 'padding', '0');
		YAHOO.util.Dom.setStyle(container, 'width', '100%');
		YAHOO.util.Dom.setStyle(container, 'top', '0');
		YAHOO.util.Dom.setStyle(container, 'absolute', '0');

		/**
		 * Overlay setup
		 */
		YAHOO.util.Dom.addClass(background, 'wrap');
		YAHOO.util.Dom.setStyle(background, 'clear', 'both');
		YAHOO.util.Dom.setStyle(background, 'height', (YAHOO.util.Dom.getDocumentHeight() + 100) + 'px');
		YAHOO.util.Dom.setStyle(background, 'background-color', 'rgba(0,0,0,0.85)');
		YAHOO.util.Dom.setStyle(background, 'width', '100%');
		YAHOO.util.Dom.setStyle(background, 'top', '0');
		YAHOO.util.Dom.setStyle(background, 'position', 'fixed');
		YAHOO.util.Dom.setStyle(background, 'z-index', '1000');

		/**
		 * Skip bar setup
		 */
		YAHOO.util.Dom.addClass(skip, 'header');
		YAHOO.util.Dom.setStyle(skip, 'width', '100%');
		YAHOO.util.Dom.setStyle(skip, 'position', 'fixed');
		YAHOO.util.Dom.setStyle(skip, 'z-index', '1002');
		YAHOO.util.Dom.setStyle(skip, 'top', '0');
		YAHOO.util.Dom.setStyle(skip, 'left', '0');

		/**
		 * Skip btn
		 */
		YAHOO.util.Dom.addClass(btn, 'adsButton');
		YAHOO.util.Dom.addClass(btn, 'orange');
		YAHOO.util.Dom.setStyle(btn, 'position', 'absolute');
		YAHOO.util.Dom.setStyle(btn, 'top', '0px');
		YAHOO.util.Dom.setStyle(btn, 'right', '10px');
		YAHOO.util.Dom.setStyle(btn, 'width', '50px');
		YAHOO.util.Dom.setStyle(btn, 'cursor', 'pointer');
		YAHOO.util.Dom.setStyle(btn, 'font-family', 'Verdana,sans-serif');
		YAHOO.util.Dom.setStyle(btn, 'text-align', 'center');
		YAHOO.util.Dom.setStyle(btn, 'opacity', '0');
		YAHOO.util.Dom.setStyle(btn, 'margin-top', '6px');
		YAHOO.util.Dom.addClass(subBtn, 'first-child');

		spanLink.innerHTML = skipText;

		/**
		 * Ads setup
		 */
		YAHOO.util.Dom.addClass(interstitial, 'interstitial');
		YAHOO.util.Dom.setStyle(interstitial, 'text-align', 'center');
		YAHOO.util.Dom.setStyle(interstitial, 'position', 'fixed');
		YAHOO.util.Dom.setStyle(interstitial, 'z-index', '1001');
		YAHOO.util.Dom.setStyle(interstitial, 'top', '40%');
		YAHOO.util.Dom.setStyle(interstitial, 'width', '100%');

		container.appendChild(background);
		container.appendChild(style);
		skip.appendChild(logo.cloneNode(true));
		btnLink.appendChild(spanLink);
		subBtn.appendChild(btnLink);
		btn.appendChild(subBtn);
		skip.appendChild(btn);
		container.appendChild(skip);
		container.appendChild(interstitial);
		interstitial.innerHTML = content;
		document.body.appendChild(container);

		YAHOO.util.Dom.setStyle(interstitial, 'display', 'block');

		/* Ugly but need to sleep the script for 2 seconds before
			displaying the button
		*/
		var sleep = new YAHOO.util.Anim(
			btn,
			{
				opacity:
				{
					to: 0
				}
			},
			2
		);

		var fadeIn = new YAHOO.util.Anim(
			btn,
			{
				opacity:
				{
					to: 1
				}
			},
			2
		);

		sleep.onComplete.subscribe(function(){
			fadeIn.animate();
			}
		);

		sleep.animate();

	style.innerHTML = 'embed,object,select,iframe {visibility: hidden;}'
					+ '.interstitialOB embed, .interstitialOB object, .interstitialOBselect, .interstitialOBiframe  {visibility: visible;}';

	YAHOO.util.Event.on(
		btn,
		'click',
		function(e){
			YAHOO.util.Event.preventDefault(e);
			var fadeOut = new YAHOO.util.Anim(
				container,
				{
					opacity:
					{
						to: 0
					}
				},
				1
			);
			fadeOut.onComplete.subscribe(function(){
				container.parentNode.removeChild(container)
				}
			);
			fadeOut.animate();

			//container.parentNode.removeChild(container);
		},
		this,
		true
	);
};
